# this specfile is inspired from fedoras'one.
# but I choose not to use git sources, I prefer using tarball
%define bname editor

Name:           python-%{bname}
Version:        1.0.4
Release:        %mkrel 8
Summary:        Programmatically open an editor, capture the result

Group:          Development/Python
License:        ASL
URL:            https://github.com/fmoo/python-editor
Source0:        https://pypi.io/packages/source/p/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch

%description
python-editor is a library that provides the editor module for programmatically
interfacing with your system’s $EDITOR.

%package -n python3-%{bname}
Summary:        Programmatically open an editor, capture the result
%{?python_provide:%python_provide python3-%{bname}}
BuildRequires:  python3-devel
Obsoletes:      python3-python-editor < 1.0.3-2

%description -n python3-%{bname}
python-editor is a library that provides the editor module for programmatically
interfacing with your system’s $EDITOR.

%prep
%setup -q


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files editor

%files -n python3-%{bname} -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Sat Mar 01 2025 wally <wally> 1.0.4-8.mga10
+ Revision: 2154810
- rebuild for python3.13

* Tue Dec 12 2023 papoteur <papoteur> 1.0.4-7.mga10
+ Revision: 2017385
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 1.0.4-6.mga9
+ Revision: 1822626
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 joequant <joequant> 1.0.4-5.mga9
+ Revision: 1774627
- update to python 3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 1.0.4-4.mga9
+ Revision: 1707820
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.0.4-3.mga8
+ Revision: 1532764
- Mageia 8 Mass Rebuild

* Tue Sep 17 2019 tv <tv> 1.0.4-2.mga8
+ Revision: 1443043
- rebuild for python-3.8
- drop python2 subpkg

* Thu Aug 29 2019 wally <wally> 1.0.4-1.mga8
+ Revision: 1435171
- new version 1.0.4

* Sun Aug 25 2019 wally <wally> 1.0.3-2.mga8
+ Revision: 1431809
- rename src.rpm as python-editor
- update URL

* Mon Jan 07 2019 shlomif <shlomif> 1.0.3-1.mga7
+ Revision: 1350976
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.4-4.mga7
+ Revision: 1289903
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.4-3.mga7
+ Revision: 1135589
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 0.4-2.mga6
+ Revision: 970795
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 shlomif <shlomif> 0.4-1.mga6
+ Revision: 888370
- Importing python-python-editor

